Package org.eclipse.ecf.provider.r_osgi.identity

# Class R_OSGiWSNamespace

java.lang.Object
org.eclipse.ecf.core.identity.Namespace
org.eclipse.ecf.provider.r_osgi.identity.R_OSGiNamespace
org.eclipse.ecf.provider.r_osgi.identity.R_OSGiWSNamespace

All Implemented Interfaces:
  `Serializable`, `org.eclipse.core.runtime.IAdaptable`

public class R_OSGiWSNamespace extends R_OSGiNamespace

Since:
  3.5
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME_WS`

### Fields inherited from class org.eclipse.ecf.provider.r_osgi.identity.R_OSGiNamespace

`NAME, NAMESPACE_SCHEME`

### Fields inherited from class org.eclipse.ecf.core.identity.Namespace

`SCHEME_SEPARATOR`

## Constructor Summary

Constructors
Constructor
Description
`R_OSGiWSNamespace()`
constructor.

## Method Summary

Modifier and Type
Method
Description
`ID`
`createInstance(Object[] parameters)`
create a new ID within this namespace.
`static Namespace`
`getDefault()`
get the singleton instance of this namespace.
`String`
`getScheme()`
get the scheme of this namespace.
`String[]`
`getSupportedSchemes()`
get all supported schemes.

### Methods inherited from class org.eclipse.ecf.provider.r_osgi.identity.R_OSGiNamespace

`getSupportedParameterTypes`

### Methods inherited from class org.eclipse.ecf.core.identity.Namespace

`equals, getAdapter, getCompareToForObject, getDescription, getHashCodeForID, getInitStringFromExternalForm, getName, getNameForID, hashCode, initialize, testIDEquals, toExternalForm, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### NAME_WS

public static final String NAME_WS

See Also:
  - Constant Field Values

## Constructor Details

### R_OSGiWSNamespace

public R_OSGiWSNamespace()
constructor.

## Method Details

### getDefault

public static Namespace getDefault()
get the singleton instance of this namespace.

Returns:
  the instance.

### createInstance

public ID createInstance(Object[] parameters) throws IDCreateException
create a new ID within this namespace.

Overrides:
  `createInstance` in class `R_OSGiNamespace`
Parameters:
  `parameters` - the parameter to pass to the ID.
Returns:
  the new ID
Throws:
  `IDCreateException` - if the creation fails.
See Also:
  - `Namespace.createInstance(java.lang.Object[])`

### getScheme

public String getScheme()
get the scheme of this namespace.

Overrides:
  `getScheme` in class `R_OSGiNamespace`
Returns:
  the scheme.
See Also:
  - `Namespace.getScheme()`

### getSupportedSchemes

public String[] getSupportedSchemes()
get all supported schemes.

Overrides:
  `getSupportedSchemes` in class `R_OSGiNamespace`
Returns:
  an array of supported schemes.
See Also:
  - `Namespace.getSupportedSchemes()`